hsmcheck.c File Reference
`#include "config.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include "libhsm.h"`
`#include <libhsmdns.h>`

Go to the source code of this file.

## Functions

hsm_repository_t * | parse_conf_repositories (const char *cfgfile)
int | main (int argc, char *argv[])

## Variables

char * | optarg
char * | progname = NULL

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 50 of file hsmcheck.c.

References hsm_sign_params_t::algorithm, ctx, hsm_close(), hsm_create_context(), hsm_destroy_context(), hsm_find_key_by_id(), hsm_generate_rsa_key(), hsm_get_dnskey(), hsm_get_error(), hsm_get_key_id(), hsm_list_keys(), HSM_OK, hsm_open2(), hsm_print_ctx(), hsm_print_error(), hsm_print_key(), hsm_prompt_pin(), hsm_random32(), hsm_random64(), hsm_remove_key(), hsm_sign_params_free(), hsm_sign_params_new(), hsm_sign_rrset(), hsm_sign_params_t::keytag, libhsm_key_free(), optarg, hsm_sign_params_t::owner, parse_conf_repositories(), and progname.

## parse_conf_repositories()

hsm_repository_t * parse_conf_repositories | ( | const char * | cfgfile | ) |

extern

Parse the repositories.

Definition at line 51 of file confparser.c.

Referenced by main().

## Variable Documentation

## optarg

char* optarg

extern

Referenced by main().

## progname

char* progname = NULL

Definition at line 38 of file hsmcheck.c.

Referenced by main().